require 'spec_helper'
require 'riedi/storage'

describe Riedi::Storage do
  before do
    @storage = Riedi::Storage.new
    @storage.flushall
    @storage.set("key", "value")
  end

  it "status" do
    @storage.status.should eql("OK")
  end

  it "keys" do
    @storage.keys.should eql(["key"])
  end

  it "set" do
    @storage.set("key", "test").should eql("OK")
  end

  it "get" do
    @storage.get("key").should eql("value")
  end

  it "get missing" do
    @storage.get("missing").should eql(nil)
  end

  it "del" do
    @storage.del("key").should eql(1)
  end

  it "del missing" do
    @storage.del("missing").should eql(0)
  end
end
